Bug 1322335 - The package name is wrong for rpm upgrade
The package name is wrong for rpm upgrade
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
3.2.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Brenton Leanhardt
Anping Li
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-30 06:25 EDT by Anping Li
Modified: 2016-05-12 12:34 EDT (History)
5 users (show)

See Also:
Fixed In Version: openshift-ansible-3.0.69-1.git.0.c818db9.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 12:34:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1064 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 3.2 security, bug fix, and enhancement update 2016-05-12 16:19:17 EDT

  None (edit)
Description Anping Li 2016-03-30 06:25:40 EDT
Description of problem:
The packages version was set as atomic-openshiftv3.2.0.8, it should be atomic-openshift-3.2.0.8


Version-Release number of selected component (if applicable):
atomic-openshift-utils-3.0.67

How reproducible:
always

Steps to Reproduce:
1. install ose 3.1 using rpm installation
2.  ansible-playbook -i config/oserpm  /usr/share/ansible/openshift-ansible/playbooks/byo/openshift-cluster/upgrades/v3_1_to_v3_2/upgrade.yml  | tee upgrade.log
3. check the upgrade.logs

Actual results:
TASK: [openshift_common | Install the base package for versioning] ************ 
<osecontain-master1.example.com> ESTABLISH CONNECTION FOR USER: root
<osecontain-master1.example.com> REMOTE_MODULE yum name=atomic-openshiftv3.2.0.8 state=present
<osecontain-master1.example.com>  EXEC ssh -C -tt -v -o ControlMaster=auto -o ControlPersist=60s -o  ControlPath="/root/.ansible/cp/ansible-ssh-%h-%p-%r" -o  KbdInteractiveAuthentication=no -o  PreferredAuthentications=gssapi-with-mic,gssapi-keyex,hostbased,publickey  -o PasswordAuthentication=no -o ConnectTimeout=10  osecontain-master1.example.com /bin/sh -c 'mkdir -p  $HOME/.ansible/tmp/ansible-tmp-1459319211.81-228845359261337 &&  echo $HOME/.ansible/tmp/ansible-tmp-1459319211.81-228845359261337'
<osecontain-master1.example.com> PUT /tmp/tmpKOav_f TO /root/.ansible/tmp/ansible-tmp-1459319211.81-228845359261337/yum
<osecontain-master1.example.com>  EXEC ssh -C -tt -v -o ControlMaster=auto -o ControlPersist=60s -o  ControlPath="/root/.ansible/cp/ansible-ssh-%h-%p-%r" -o  KbdInteractiveAuthentication=no -o  PreferredAuthentications=gssapi-with-mic,gssapi-keyex,hostbased,publickey  -o PasswordAuthentication=no -o ConnectTimeout=10  osecontain-master1.example.com /bin/sh -c 'LANG=C LC_CTYPE=C  /usr/bin/python -tt  /root/.ansible/tmp/ansible-tmp-1459319211.81-228845359261337/yum; rm -rf  /root/.ansible/tmp/ansible-tmp-1459319211.81-228845359261337/  >/dev/null 2>&1'
failed: [osecontain-master1.example.com] => {"changed": false, "failed": true, "rc": 0, "results": []}
msg: No Package matching 'atomic-openshiftv3.2.0.8' found available, installed or updated


Expected Result


Expected results:


Additional info:
Comment 2 Brenton Leanhardt 2016-03-31 11:14:38 EDT
https://github.com/openshift/openshift-ansible/pull/1684
Comment 4 Anping Li 2016-04-01 02:38:44 EDT
It works well with openshift-ansible-3.0.69-1. so move to verified.
Comment 6 errata-xmlrpc 2016-05-12 12:34:53 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1064

Note You need to log in before you can comment on or make changes to this bug.